<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_totalizar_por_quebra_linhaDAO.php");
$bi_totalizar_por_quebra_linhaDAO = new Bi_totalizar_por_quebra_linhaDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_analiseDAO.php");
$bi_analiseDAO = new Bi_analiseDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_totalizar_por_quebra_linha = $bi_totalizar_por_quebra_linhaDAO->buscarBi_totalizar_por_quebra_linha($_GET["codigo"]);
	}else{
		$bi_totalizar_por_quebra_linha = new Bi_totalizar_por_quebra_linha();
		$bi_totalizar_por_quebra_linha->setAnalise(new Bi_analise());
	}
	$listaAnalise = array(); 
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_totalizar_por_quebra_linha->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_totalizar_por_quebra_linha/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_totalizar_por_quebra_linha = new Bi_totalizar_por_quebra_linha();
	$bi_totalizar_por_quebra_linha->setCodigo($_POST['codigo']);
	$bi_totalizar_por_quebra_linha->setAnalise($_POST['analise']);
	$bi_totalizar_por_quebra_linha->setColuna_totalizar($_POST['coluna_totalizar']);
	$bi_totalizar_por_quebra_linha->setColuna_quebra($_POST['coluna_quebra']);
	if (isset($_POST['totalizar']))
	{
		$bi_totalizar_por_quebra_linha->setTotalizar($_POST['totalizar']);
	}
	else
	{
		$bi_totalizar_por_quebra_linha->setTotalizar(0);
	}
	if (isset($_POST['media']))
	{
		$bi_totalizar_por_quebra_linha->setMedia($_POST['media']);
	}
	else
	{
		$bi_totalizar_por_quebra_linha->setMedia(0);
	}
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_totalizar_por_quebra_linha->setCodigo($_POST['codigo']);
		$codigo = $bi_totalizar_por_quebra_linha->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_totalizar_por_quebra_linhaDAO->atualizar($bi_totalizar_por_quebra_linha);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_totalizar_por_quebra_linhaDAO->salvar($bi_totalizar_por_quebra_linha);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_totalizar_por_quebra_linha = $bi_totalizar_por_quebra_linhaDAO->buscarBi_totalizar_por_quebra_linha($_GET["codigo"]);
		$bi_totalizar_por_quebra_linhaDAO->excluir($bi_totalizar_por_quebra_linha);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	$listaBi_totalizar_por_quebra_linha = $bi_totalizar_por_quebra_linhaDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_totalizar_por_quebra_linha/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_totalizar_por_quebra_linha = $bi_totalizar_por_quebra_linhaDAO->buscarBi_totalizar_por_quebra_linha($_GET["codigo"]);
	}else{
		$bi_totalizar_por_quebra_linha = new Bi_totalizar_por_quebra_linha();
		$bi_totalizar_por_quebra_linha->setAnalise(new Bi_analise());
	}
	$listaAnalise = array(); 
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_totalizar_por_quebra_linha->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_totalizar_por_quebra_linha/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "buscarBi_analisePorNome")
{
	$listaBi_analise = $bi_analiseDAO->buscarBi_analisePorNome($_GET['valor']);
	include_once($config->diretorio_raiz()."/src/view/bi_totalizar_por_quebra_linha/BuscarBi_analisePorNome.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['analise']) and $_GET['analise'] != "")
	{
		$where .= " and analise = ". $_GET['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	if(isset($_POST['analise']) and $_POST['analise'] != "")
	{
		$where .= " and analise = ". $_POST['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_POST["analise"]; 
	}
	if(isset($_GET['coluna_totalizar']) and $_GET["coluna_totalizar"] != "" )
	{
		$where .= " and UPPER(coluna_totalizar) like '%".strtoupper($_GET['coluna_totalizar'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_totalizar=".$_GET["coluna_totalizar"]; 
	}
	if(isset($_POST['coluna_totalizar']) and $_POST["coluna_totalizar"] != "" )
	{
		$where .= " and UPPER(coluna_totalizar) like '%".strtoupper($_POST['coluna_totalizar'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_totalizar=".$_POST["coluna_totalizar"]; 
	}
	if(isset($_GET['coluna_quebra']) and $_GET["coluna_quebra"] != "" )
	{
		$where .= " and UPPER(coluna_quebra) like '%".strtoupper($_GET['coluna_quebra'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_quebra=".$_GET["coluna_quebra"]; 
	}
	if(isset($_POST['coluna_quebra']) and $_POST["coluna_quebra"] != "" )
	{
		$where .= " and UPPER(coluna_quebra) like '%".strtoupper($_POST['coluna_quebra'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_quebra=".$_POST["coluna_quebra"]; 
	}
	if(isset($_GET['totalizar']) and $_GET["totalizar"] != "" )
	{
		$where .= " and UPPER(totalizar) like '%".strtoupper($_GET['totalizar'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&totalizar=".$_GET["totalizar"]; 
	}
	if(isset($_POST['totalizar']) and $_POST["totalizar"] != "" )
	{
		$where .= " and UPPER(totalizar) like '%".strtoupper($_POST['totalizar'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&totalizar=".$_POST["totalizar"]; 
	}
	if(isset($_GET['media']) and $_GET["media"] != "" )
	{
		$where .= " and UPPER(media) like '%".strtoupper($_GET['media'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&media=".$_GET["media"]; 
	}
	if(isset($_POST['media']) and $_POST["media"] != "" )
	{
		$where .= " and UPPER(media) like '%".strtoupper($_POST['media'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&media=".$_POST["media"]; 
	}
	$listaBi_totalizar_por_quebra_linha = $bi_totalizar_por_quebra_linhaDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_totalizar_por_quebra_linha/Listar_todos_registros.php");
}
